### Property

# Gtk MediaFile:input-stream

#### Declaration

    property input-stream: Gio.InputStream [ read, write ]

#### Description [src]

The stream being played back or `NULL` if not playing a stream.

This is `NULL` when playing a file.

Type: | `GInputStream`

Getter method | `gtk_media_file_get_input_stream()`
Setter method | `gtk_media_file_set_input_stream()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no